Initialize Publickey subsystem

- « ssh2_publickey_add

- ssh2_publickey_list »

- PHP Manual
- SSH2 Functions
- Initialize Publickey subsystem

# ssh2_publickey_init

(PECL ssh2 >= 0.10)

ssh2_publickey_init — Initialize Publickey subsystem

### Description

ssh2_publickey_init(resource `$session`): resource|false

Request the Publickey subsystem from an already connected SSH2 server.

The publickey subsystem allows an already connected and authenticated client to manage the list of authorized public keys stored on the target server in an implementation agnostic manner. If the remote server does not support the publickey subsystem, the ssh2_publickey_init() function will return `false`.

### Parameters

`session`

### Return Values

Returns an `SSH2 Publickey Subsystem` resource for use with all other ssh2_publickey_*() methods or `false` on failure.

### Notes

> Note: The public key subsystem is used for managing public keys on a server to which the client is already authenticated. To authenticate to a remote system using public key authentication, use the ssh2_auth_pubkey_file() function instead.

### See Also

- ssh2_publickey_add() - Add an authorized publickey
- ssh2_publickey_remove() - Remove an authorized publickey
- ssh2_publickey_list() - List currently authorized publickeys